.ifnot HLP
.if rsx
.CHAPTER RSX OPERATING PROCEDURES
.endif rsx
.if ias
.CHAPTER IAS OPERATING PROCEDURES
.endif ias
.if VMS
.CHAPTER VMS OPERATING PROCEDURES
.endif VMS
.index Operation 
.hl 1 initiating runoff 
.else hlp
.variant smallhlp
.i-1;2 OPERATION
.endif hlp
.br;If you are using this as a guide to DSR then this entire section should
be ignored.
.p;RUNOFF can be initiated in several ways. The general formats are: 
.nofill 
.if RSX
.s.indent +24;MCR>RNO Command__string
.i16; ... or
.s.indent +24;MCR>RNO <CR> 
.indent +24;RNO>Command__string
.endif RSX
.if VMS
.s.indent +24;_$ RNO Command__string
.i16; ... or
.s.indent +24;_$ RNO <CR> 
.indent +24;RNO>Command__string
.endif VMS
.if IAS
.s.indent +24;PDS>RNO Command__string
.s.i16; ... or
.indent +24;PDS>RNO <CR> 
.indent +24;RNO>Command__string
.endif IAS
.fill 
.ifnot hlp
.hl 1 rno command string 
.index Command string 
.endif hlp
.if hlp
.if RSX.br;Additional help is available on:
.br;COMMAND__STRING
.ifnot small
	FILE__SPECIFICATION
.endif small
	OPTIONS
.endif RSX
.i-1;3 Command__String
.p
.endif hlp
.if small
.variant smallhlp
.else small
System programs usually require a command 
string to specify such things as input files and various 
options.  A standard command string has one of the following 
forms: 
.endif small
.skip 
.nofill 
.indent 6 
output-file,toc-file=input1-file/sw1/...,input2...
.x Table of contents
.skip 
.indent 10 
or 
.skip 
.indent 6 
@command-file 
.skip 
.fill 
The output-file, toc-file, and input-file are strings comprising a 
file specification. 
The toc-file may be omitted if no table of contents is desired.
.skip 
.ifnot small
The second form of command string (@command-file) is used to 
specify an indirect command file.  In this case each record of the 
file is used as a command string before any commands following the 
indirect command are accepted. 
.skip 
The command string syntax is described more completely in the 
User's Guide for the relevant operating system. 
.ifnot hlp
.hl 2 file specifications 
.index File Specifications 
.endif hlp
.if hlp
.i-1;3 File__Specification
.br
.endif hlp
.endif small
A file specification has the following form: 
.nofill 
.skip 
.indent 6 
.IF RSX
Dev:[UIC]Filename.Typ;Ver 
.ENDIF RSX
.IF VMS
Dev:[Directory.subdir...]Filename.Typ;Ver 
.endif VMS
.IF IAS
Dev:[UIC]Filename.Typ;Ver 
.ENDIF IAS
.skip 
.ifnot small
.fill 
In this specification Dev must be a legal device code. If omitted the default 
value is SY:, the system disk.
.IF RSX
UIC must be a valid User 
Identification Code. 
If omitted the default is the current UIC.
.ENDIF RSX
.IF IAS
UIC must be a valid User 
Identification Code. 
.ENDIF IAS
.IF VMS
Directory must be a valid directory name of the form [Name1.Name2#.#.#.Namen].
If omitted the default is the current default directory.
.endif VMS
Filename is any 1- to 9-character 
alphanumeric string which specifies a file name. Typ is 
a 1- to 3-character alphanumeric file type.   Finally, Ver is a number 
which is the version number of the file.  This field also normally 
can be omitted since it defaults on input to the 
highest existing version number for the file and on output 
to the highest existing version number plus one. 
Normally you need only specify the Filename.
.endif small
.skip 
Default file specifications (any part of which may be overridden): 
.indent 6 ;Input:   SY:name.RNO 
.i6;Output:  SY:name.DOC 
.i6;Table of contents:  SY:name.RNT
.s
.ifnot small
If the name is omitted on the Output or Toc files, it is
assumed to be the same as the first Input name.
In other words:
.i5;SY:,SY:=file
.i10;is the same as:
.i5;SY:file.DOC,SY:file.RNT=file.RNO
.ifNOT HLP
.note Editing RUNOFF Output 
RUNOFF output files may not be edited normally with the standard 
VMS/RSX/IAS file editors. 
This version may produce editable output by using the /-CR option, 
when the text is processed.  If You do this /UL:L will not work  
but the output may easily be edited. 
If this option is used the ouput text/line must not exceed 256 characters,
the output buffer size.  If you need to use this feature with more than
256 characters/line see BUILDING RNO on how to change the output buffer
size.
.EN 
.endif HLP
.endif small
.ifnot hlp
.HL 2 RNO OPTIONS 
.X Options
A file specification may have one or more options associated 
with it.  
.ifnot small
A option is an indicator, consisting of a slash and a 
two-character ASCII name, used to select program options. 
The options may be used with the Output, TOC, or first Input
file specification.
The option itself may have three forms. If the option designator, 
for example, is SW, then: 
.skip 
.nofill 
.indent +16 
/SW sets the option action; 
.indent +16 
/-SW negates the option action, and 
.indent +16 
/NOSW also negates the option action. 
.skip 
.fill 
In addition the option identifier may be followed by any 
 
number of values.  The permitted values are ASCII strings 
numbers, and decimal numbers. 
Any numeric value may be preceded with a + or a - sign; 
The following are valid option specifications. 
.skip 
.nofill 
.indent +16 
/SW:27:XXX:29 
.INDENT +16 
/-SW 
.INDENT +16 
/NOSW:NOOPTION:-50 
.skip 
.fill 
.PAGE 
Fourteen options control the
RNO program. These options, described below, 
may be specified on either the input or output file 
specification. the defaults may be set by the system manager at 
Task Build time. 
.skip 
.endif small
.endif hlp
.if hlp
.i-1;3 OPTIONS
.ifnot small
.if RSX.br;More information available:
.ts +5,+5,+5,+5,+5,+5,+5,+5,+5,+5,+5,+5,+5,+5,+5,+5,
.nj;list	/AP	/CH	/CR	/DE	/EV	/FF	/HY
	/OD	/PA	/PS	/RI	/SP	/TT	/UC
	/UL	/WA	/WR	/2P
.j
.endif RSX
.i-1;4 list
.endif small
.endif hlp
.if smallhlp
.ts +9,+8,+8,+8,+8,+8
.br;/AP:l:h	--#Output only indicated appendix range. 
.br;/CH:l:h	--#Output only indicated chapter range. 
.br;/CR	--#Output CR,LF in file. 
.br;/DE	--#Type out input lines (debug)
.br;/EV	--#Output even numbered pages.
.br;/FF:n	--#Put form-feed at end of page.
.br;/HY	--#Hyphenate output 
.br;/OD	--#Output odd numbered pages.
.br;/PA:l:h	--#Output only indicated page range 
.br;/PS:h:w	--#Set page size to H,W (height,width) 
.br;/RI:n	--#Right shift output. n=amount of shift.
.br;/SP	--#Spool the output file.
.br;/TT	--#Bypass checks and do a write all on output.
.br;/UC	--#Force ALL uppercase output 
.br;/UL:x	--#Underline x=[B-backspace, S-simulate, L-line, N-none] 
.br;/WA	--#Wait at beginning of a page.
.br;/WR	--#Warning message output.
.br;/2P	--#Two pass operation.
.br;DEFAULT: /CR/-DE/EV/OD/PS:58:60 /HY/-SP/UL:L/-WA/WR/-2P
.endif smallhlp
.ifnot small
.left margin +11 
.if hlp;.i-12;4 /AP
.endif HLP
.s .text
.ts -3,+8,+8
.i-11;/AP:l:h	--#Output only indicated appendix range.
.br; l = lowest appendix to print 
.br; h = highest appendix to print 
.br; default = print all 
.br;For example you wish to print appendix 5 so you type:
.i5;/AP:5:5
.br;If you wish to print appendices 3 to 6:
.i5;/AP:3:6
.br;Appendix numbers may range from 1 to 255
.if hlp;.i-12;4 /CH
.endif HLP
.s .text
.I-11;/CH:l:h	--#Output only indicated chapter range.
.br; l = lowest chapter to print 
.br; h = highest chapter to print 
.br; default = print all 
.br;If you wish to print chapters 1 to 5 you type:
.i5;/CH:1:5 or /CH::5
.br;If you wish to print chapter 4 on:
.i5;/CH:4
.br;Chapter numbers may range from 1 to 255
.if hlp;.i-12;4 /CR
.endif HLP
.s .text
.x Carriage-return
.i-11;/CR	--#Output CR,LF in file. 
.br;This is the normal operating mode for RNO.
The output file will contain the necessary codes to advance the paper.
.br;.i-11;/-CR	--#Output regular text (No CR,LF).
.br;This mode is intended to
output text which may be edited by any editor or copied by FLX. This doesn't
work if the output line exceeds 256 characters. This mode should never be used
if escape sequences, half spacing, or equations are desired. 
.if hlp;.i-12;4 /DE
.endif hlp
.s.text
.i-11;/DE	--#Type all input lines.
.i-11;/-DE	--#Do not type input lines. (default)
.br;This is intended as a debugging aid.
.if hlp;.i-12;4 /EV
.endif hlp
.s.text
.i-11;/EV	--#Output even numbered pages.  This is default.
.i-11;/-EV	--#Do not output even numbered pages.
.br
If you wish to print on both sides of you paper, you first print the odd pages
by using /-EV.  Then you turn the paper over and print the even pages by using
/-OD. You may wish to use /RI with /-EV if you need extra margin for binding
on odd numbered pages. 
.if hlp;.i-12;4 /FF
.endif HLP
.s .text
.X Form-feeds 
.i-11;/FF	--#Use form-feed at end of each page.
.br;This is the normal operation.  Form feeds are only output at the end of a 
page.  When you start printing the paper must be properly adjusted because
there is no form feed at the beginning of the first page.
Most printers keep track of the paper and automatically advance to the 
beginning of the next page when given a form-feed.
.i-11;/-FF:n	--#Simulate Form-feeds with blank lines
.br;n is paper length, default (normally 66) set by your system manager. This
is usually used with primitive line printers which do not recognize
form-feeds, or it may be used to have output text free of Form-feeds. n must
be less than 128. If n is 0 then no blank lines separate pages.
The end of each page will be padded with sufficient blank
lines to advance the paper to the beginning of the next page. 
.if hlp;.i-12;4 /HY
.endif HLP
.S .text
.I-11;/HY	--#Hyphenate output.  This is the normal default. 
.i-11;/-HY	--#Do not hyphenate output.
This overrides the _.ENABLE HYPHENATION command.
.X Hyphenation 
.if hlp;.i-12;4 /OD
.endif hlp
.s.text
.i-11;/OD	--#Output odd numbered pages.  This is default.
.i-11;/-OD	--#Do not output odd numbered pages.
.br;This command is used to separate even, from odd pages.
.if hlp;.i-12;4 /PA
.endif HLP
.s .text
.i-11;/PA:l:h	--#Output only indicated page range.
.br; l = lowest page to print 
.br; h = highest page to print 
.br; default = print all 
.br; This option should be used with the /AP,or /CH options for 
chapter oriented text. Page numbers may range from 1 to 4000
If h is omitted then there is no maximum page number.
If l is omitted it is assumed to be page 1.
.if hlp;.i-12;4 /PS
.endif HLP
.s .text
.x Page size
.I-11;/PS:h:w	--#Set page size to h,w (height,width) 
.br;Default is /PS:58:60 (See PAGE SIZE command). If a _.PAGE SIZE command is
used in your _.RNO file it will override this option setting. H must be larger
than 15 and less than 128. W must be larger than 15 less than 256. 
.if hlp;.i-12;4 /RI
.endif HLP
.s .text
.i-11;/RI:n	--#Right shift output. n=amount of shift.
.X Right shift 
.br;This adds extra space to the left margin.  This shift is in addition to
the _.LEFT MARGIN and the _.ENABLE BAR commands.
.br;If you wish to add 5 spaces (1/2 inch PICA type):
.i5;/RI:5
.if hlp;.i-12;4 /SP
.endif HLP
.s .text
.i-11;/SP	--#Spool the output file.
.br;The output file will be printed on the line printer.  NOTE: This does not
apply to the TOC file.
.i-11;/-SP	--#Inhibit spooling of output file.
.X Spooling 
.bb
.if hlp;.i-12;4 /TT
.endif HLP
.text
.i-11;/TT	--#Do write all output.  The text is output without any 
changes.  This bypasses normal operating system checking of output. This
option works only if you send the output directly to a terminal or printer,
and not to a file.  The device must be defined as a terminal type device.
This option affects only the _.DOC output and not the _.RNT file.
Sometimes the operating system will swallow control codes sent to the output
device. This option insures that this will not happen. 
.i-11;/-TT	--#Normal output. (default)
.eb
.if hlp;.i-12;4 /UC
.endif HLP
.s .text
.i-11;/UC	--#Force ALL uppercase output.  The output will all be in caps.
.i-11;/-UC	--#Allow normal case conversion. (default)
.X Case 
.if hlp;.i-12;4 /UL
.endif HLP
.s .text
.X Underlining 
.i-11;/UL:B	--#Underline with a spacing-backspace.
.br;This type of underlining may fail to work properly if sub/superscripts or
weird selectable fonts are used in the text. Alternate fonts must have the
underscore in the normal ASCII position for this option to work. 
.i-11;/UL:L	--#Underline via line overprint with underline character. 
This should be the normal default.
.i-11;/UL:N	--#Underlining suppressed. 
.br;This overrides the _.ENABLE UNDERLINING command.
.i-11;/UL:S	--#Simulate underline with hyphen character on next line. 
.br;This is used for line printers which have no special features.
Sometimes this option may add an extra line to a page to accomodate
underlining.  To avoid this _.LAYOUT n,s with s greater than 0 should be used.
This reserves an extra line for possible underlines.
.if hlp;.i-12;4 /WA
.endif HLP
.s .text
.i-11;/WA	--#Wait at beginning of each page.
.br;This is useful if your printer must have some adjustments at the
top of each page, or if you must feed in each page manually.
RNO will wait for you to press the "return" key on the terminal before
printing the next page.
.i-11;/-WA	--#Print each page with no wait.
This is the normal default.
.if hlp;.i-12;4 /WR
.endif HLP
.s .text
.bb
.i-11;/WR	--#Warning message output.
.br
Output warning messages as well as error messages.
This is the normal default.
.i-11;/-WR	--#No warning message output.
.eb
.if hlp;.i-12;4 /2P
.endif HLP
.bb
.s .text
.i-11;/2P	--#Two pass operation.  RNO will perform 2 passes
so that all substitutions are defined on the first pass, and all text
output on the second.  This allows both forward and backward references.
The _.TYPE commands are executed for the second pass, but not for the first.
This option will cause error messages to appear in different 
places.  All multiple substitute definitions appear during pass 1 while all 
other messages except for fatal messages appear during pass 2.  
Fatal messages appear only once, and output may be missing.
RNO will take about twice as long to execute in 2 pass mode.
.index Two pass mode
.i-11;/-2P	--#One pass operation.  This is the default.
.etx.FILL 
.eb
.endif small
.LEFT MARGIN 
